/*
 * @author lsy
 * @date   2019-09-16
 **/
import 'package:gmalpha_flutter/PrestigeModel/service/remote/api/PrestigeApi.serv.dart';
import 'package:gmalpha_flutter/PrestigeModel/service/remote/entity/PrestigeEntity.dart';
import 'package:rxdart/rxdart.dart';

class PrestigeRemote {
  static PrestigeRemote _userRemote;

  PrestigeRemote._() {}

  static PrestigeRemote getInstance() {
    if (_userRemote == null) {
      _userRemote = new PrestigeRemote._();
    }
    return _userRemote;
  }

  Observable<PrestigeEntity> getReputations(int userId) {
    return PrestigeApiImpl().getReputations(userId);
  }
}
